/**
 * @file       bumper.c
 * @brief      Management of obstacle detectors: bumpers
 * 
 * @author     Laurent Saint-Marcel (lstmarcel@yahoo.fr)
 * @date       2004/07/25
 */

#include <io.h>
#include "bumper.h"

/* ------------------------------------------------------------------------ */
/* bumperInit                                                               */
/* ------------------------------------------------------------------------ */
void bumperInit()
{
	/* input, tristate */
	outp(0x00, BUMPER_IO_DIR);
	outp(0x00, BUMPER_IO_PORT);
}

/* ------------------------------------------------------------------------ */
/* bumperReadData                                                           */
/* ------------------------------------------------------------------------ */
unsigned char bumperGetData()
{
	return inp(BUMPER_IO_PIN);
}


